Get Application Datasources

get

/applications/{applicationName}/datasources

Returns a list of application-level datasources, including details such as name, description, connection, and type.

Request

Path Parameters
Query Parameters
  • Maximum number of Datasources to return. Default is 50.

  • Number of Datasources to omit from the start of the result set.

Back to Top

Response

200 Response

OK

List of Datasources returned successfully.

400 Response

Bad Request

Failed to get Datasources.

Back to Top

Examples

The following example shows how to get a list of Datasources defined for an Essbase application.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/datasources?links=none" -H Accept:application/json -u %User%:%Password%

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
  "items" : [ {
    "name" : "UserDetails_DS",
    "description" : "User details CSV file",
    "connection" : "SAMPLE.UserDetails",
    "type" : "DELIMITEDFILE",
    "queryParameters" : [ ],
    "links" : [ ]
  }, {
    "name" : "Essbase2_DS",
    "description" : "Essbase instance 2",
    "connection" : "SAMPLE.Essbase2",
    "type" : "ESSBASE",
    "queryParameters" : [ ],
    "links" : [ ]
  }, {
    "name" : "OracleDB_DS",
    "description" : "Datasource for ORCL current month only",
    "connection" : "SAMPLE.OracleDB",
    "type" : "DB",
    "queryParameters" : [ ],
    "links" : [ ]
  } ],
  "offset" : 0,
  "limit" : 50,
  "count" : 3,
  "totalResults" : 3,
  "hasMore" : false
}
Back to Top